/***************************************************************************
* Command.h                                                                *
*                                                                          *
*   Changes:                                                               *
*                                                                          *
*       08/18/99  arvo    Split off from Train.h                           *
*                                                                          *
*--------------------------------------------------------------------------*
* Copyright (C) 1999, James Arvo                                           *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
#ifndef __COMMAND_INCLUDED__
#define __COMMAND_INCLUDED__

#include <util/Char.h>

// The following macros handle the declaration and actual dispatching
// of functions called from within Tcl via the SendMessage function, 
// which uses a central dispatching scheme.  These macros ensure that 
// the functions have the correct signatures, and that arguments are
// handled appropriately.
//
#define DispatchDecl( name ) int name( int argc, char *argv[] )
#define DispatchHere( name ) if(Match(argv[1],#name)) return name(argc-2,argv+2)

#endif




