/***************************************************************************
* Copyright (c) 1999, Steve Smithies                                       *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
// Tcl/Tk includes
#include <tcl.h>
#include <tk.h>

// Tk user commands to map and unmap a window.  For some reason this
// is not provided in the tk user language.
extern int UnmapWindow(ClientData client_data,
		     Tcl_Interp* interp,
		     int argc,
		     char *argv[]);

extern int MapWindow(ClientData client_data,
		     Tcl_Interp* interp,
		     int argc,
		     const char *argv[]);

extern int MapWindow_Init( Tcl_Interp *interp );
